package io.hmit.modules.area.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.modules.area.entity.AreaEntity;
import io.hmit.modules.sys.entity.SysMenuEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 区市管理
 *
 * @author syf syf0412@qq.com
 * @since 1.0.0 2020-12-25
 */
@Mapper
public interface AreaDao extends BaseDao<AreaEntity> {
    /**
     * 查询所有区市列表
     *
     * @param type     区市类型
     */
    List<AreaEntity> getAreaList(@Param("type") Integer type);

    /**
     * 根据市级，查询区级
     *
     * @param pid 市级ID
     */
    List<AreaEntity> getListPid(Long pid);


}
