package io.hmit.modules.area.dto;

import io.hmit.common.utils.TreeNode;
import io.hmit.modules.user.dto.AreaUserDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 区市管理
 *
 * @author syf syf0412@qq.com
 * @since 1.0.0 2020-12-25
 */
@Data
@ApiModel(value = "区市管理")
public class AreaDTO  extends TreeNode<AreaDTO> implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "区市ID")
	private Long id;

	@ApiModelProperty(value = "父类ID")
	private Long pid;

	@ApiModelProperty(value = "父类名称")
	private String parentName;

	@ApiModelProperty(value = "区市名")
	private String name;

	@ApiModelProperty(value = "排序")
	private Integer sort;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "区市级类型 0:市级 1:区级")
	private Integer type;
}
