package io.hmit.modules.meeting.dto;

import io.hmit.modules.user.dto.UserDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 会议管理
 *
 * @author syf syf0412@qq.com
 * @since 1.0.0 2020-12-25
 */
@Data
@ApiModel(value = "会议管理")
public class MeetingDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "会议ID")
	private Long id;

	@ApiModelProperty(value = "会议名称")
	private String title;

	@ApiModelProperty(value = "邀请参会人员ID列表")
	private List<Long> invitedUserIDs;

	@ApiModelProperty(value = "邀请参会人员ID列表")
	private List<UserDTO> invitedUserNames;

	@ApiModelProperty(value = "发布人")
	private String author;

	@ApiModelProperty(value = "会议内容")
	private String content;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;


}
