package io.hmit.modules.meeting.dto;

import io.hmit.modules.user.dto.UserDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.security.core.userdetails.UserDetails;

import java.io.Serializable;
import java.util.Date;


/**
 * 参会人员
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2020-12-29
 */
@Data
@ApiModel(value = "参会人员")
public class WlMeetingStaffDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键id")
	private Long id;

	@ApiModelProperty(value = "会议id")
	private Long meetingId;

	@ApiModelProperty(value = "参会人员id")
	private Long userId;

	@ApiModelProperty(value = "参会人员信息")
	private UserDTO userInfo;

	@ApiModelProperty(value = "短信发送状态")
	private Integer messageState;

	@ApiModelProperty(value = "报名状态 1:已报名 2:未报名（默认）")
	private Integer registrationState;

	@ApiModelProperty(value = "报名时间")
	private Date createDate;

	@ApiModelProperty(value = "创建时间")
	private Date registrationDate;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;

}
