package io.hmit.modules.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 用户信息表（关注公众号的用户）
 *
 * @author syf syf0412@qq.com
 * @since 1.0.0 2020-12-25
 */
@Data
@ApiModel(value = "用户信息表（关注公众号的用户）")
public class UserDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "用户ID")
	private Long id;

	@ApiModelProperty(value = "用户名")
	private String name;

	@ApiModelProperty(value = "性别；1,男;2,女")
	private Integer sex;

	@ApiModelProperty(value = "手机号")
	private String mobile;

	@ApiModelProperty(value = "邮箱")
	private String email;

	@ApiModelProperty(value = "企业名称")
	private String company;

	@ApiModelProperty(value = "所属职位")
	private String position;

	@ApiModelProperty(value = "是否会员;1,是;2,否")
	private Integer member;

	@ApiModelProperty(value = "委员会ID")
	private Long committeeId;

	@ApiModelProperty(value = "委员会名称")
	private String committeeName;

	@ApiModelProperty(value = "区市ID")
	private Long areaId;

	@ApiModelProperty(value = "区市名称")
	private String areaName;

	@ApiModelProperty(value = "是否审核;0,待审核1,已审核;2,审核未通过")
	private Integer ifCheck;

	@ApiModelProperty(value = "微信用户openId")
	private String openid;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;


}
