package io.hmit.modules.user.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 用户信息表（关注公众号的用户）
 *
 * @author syf syf0412@qq.com
 * @since 1.0.0 2020-12-25
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("wl_user")
public class UserEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 用户名
     */
	private String name;
    /**
     * 性别；1,男;2,女
     */
	private Integer sex;
    /**
     * 手机号
     */
	private String mobile;
    /**
     * 邮箱
     */
	private String email;
    /**
     * 企业名称
     */
	private String company;
    /**
     * 所属职位
     */
	private String position;
    /**
     * 是否会员;1,是;2,否
     */
	private Integer member;
    /**
     * 委员会ID
     */
	private Long committeeId;
    /**
     * 区市ID
     */
	private Long areaId;
    /**
     * 是否审核;0,待审核1,已审核;2,审核未通过
     */
	private Integer ifCheck;
    /**
     * 微信用户openId
     */
	private String openid;
    /**
     * 更新时间
     */
	private Date updateDate;
}