-- MySQL dump 10.13  Distrib 5.7.28, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: wl_officalaccount
-- ------------------------------------------------------
-- Server version	5.7.28

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `wl_area`
--

DROP TABLE IF EXISTS `wl_area`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wl_area` (
  `id` bigint(20) NOT NULL COMMENT '区市ID',
  `parent_id` bigint(20) NOT NULL COMMENT '父类ID',
  `name` varchar(50) DEFAULT NULL COMMENT '区市名',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `creator` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_date` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='区市管理';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wl_area`
--

LOCK TABLES `wl_area` WRITE;
/*!40000 ALTER TABLE `wl_area` DISABLE KEYS */;
INSERT INTO `wl_area` VALUES (1342361187995676673,0,'宁波',1,1067246875800000001,'2020-12-25 14:47:02'),(1342361224951689217,1342361187995676673,'慈溪市',1,1067246875800000001,'2020-12-25 14:47:11'),(1342361429633724418,1342361187995676673,'海曙区',2,1067246875800000001,'2020-12-25 14:47:59'),(1342378365289586689,0,'杭州市',1,1067246875800000001,'2020-12-25 15:55:17');
/*!40000 ALTER TABLE `wl_area` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wl_committee`
--

DROP TABLE IF EXISTS `wl_committee`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wl_committee` (
  `id` bigint(20) NOT NULL COMMENT '委员会ID',
  `name` varchar(50) DEFAULT NULL COMMENT '委员会名称',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `creator` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_date` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='委员会管理';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wl_committee`
--

LOCK TABLES `wl_committee` WRITE;
/*!40000 ALTER TABLE `wl_committee` DISABLE KEYS */;
INSERT INTO `wl_committee` VALUES (1342359737232031746,'专家安全委员会',1,1067246875800000001,'2020-12-25 14:41:16'),(1342360060176662530,'会长及副会长',2,1067246875800000001,'2020-12-25 14:42:33');
/*!40000 ALTER TABLE `wl_committee` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wl_meeting`
--

DROP TABLE IF EXISTS `wl_meeting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wl_meeting` (
  `id` bigint(20) NOT NULL COMMENT '会议ID',
  `name` varchar(300) NOT NULL COMMENT '会议名称',
  `author` varchar(50) DEFAULT NULL COMMENT '发布人',
  `content` longtext COMMENT '会议内容',
  `creator` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_date` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='会议管理';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wl_meeting`
--

LOCK TABLES `wl_meeting` WRITE;
/*!40000 ALTER TABLE `wl_meeting` DISABLE KEYS */;
INSERT INTO `wl_meeting` VALUES (1342365437274394626,'标题一','张三','正文',1067246875800000001,'2020-12-25 15:03:55');
/*!40000 ALTER TABLE `wl_meeting` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wl_meeting_staff`
--

DROP TABLE IF EXISTS `wl_meeting_staff`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wl_meeting_staff` (
  `id` bigint(20) NOT NULL,
  `meeting_id` bigint(20) NOT NULL COMMENT '会议ID',
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `message_state` tinyint(4) DEFAULT '0' COMMENT '短信发送状态',
  `registration_state` tinyint(4) DEFAULT '0' COMMENT '报名状态',
  `registration_date` datetime DEFAULT NULL COMMENT '报名时间',
  `creator` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_date` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_date` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='参会人员管理';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wl_meeting_staff`
--

LOCK TABLES `wl_meeting_staff` WRITE;
/*!40000 ALTER TABLE `wl_meeting_staff` DISABLE KEYS */;
/*!40000 ALTER TABLE `wl_meeting_staff` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wl_user`
--

DROP TABLE IF EXISTS `wl_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wl_user` (
  `id` bigint(20) NOT NULL COMMENT '用户ID',
  `name` varchar(50) DEFAULT NULL COMMENT '用户名',
  `sex` tinyint(4) NOT NULL DEFAULT '1' COMMENT '性别；1,男;2,女',
  `mobile` varchar(100) NOT NULL COMMENT '手机号',
  `email` varchar(100) NOT NULL COMMENT '邮箱',
  `company` varchar(255) NOT NULL COMMENT '企业名称',
  `position` varchar(255) DEFAULT NULL COMMENT '所属职位',
  `member` tinyint(4) NOT NULL DEFAULT '2' COMMENT '是否会员;1,是;2,否',
  `committee_id` bigint(20) DEFAULT NULL COMMENT '委员会ID',
  `area_id` bigint(20) NOT NULL COMMENT '区市ID',
  `if_check` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否审核;0,待审核1,已审核;2,审核未通过',
  `openid` varchar(64) DEFAULT NULL COMMENT '微信用户openId',
  `creator` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_date` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_date` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='用户信息表（关注公众号的用户）';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wl_user`
--

LOCK TABLES `wl_user` WRITE;
/*!40000 ALTER TABLE `wl_user` DISABLE KEYS */;
INSERT INTO `wl_user` VALUES (1342377981653377025,'张三',1,'13888888888','13888888888@example.com','XXX','XXX',2,0,0,0,'0',1067246875800000001,'2020-12-25 15:53:46','2020-12-25 15:39:31');
/*!40000 ALTER TABLE `wl_user` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-12-25 15:59:22
